# 1. Автобусы :(

```
var validSymbols = "ABCEHKMOPTXY";
var digits = "0123456789";

Console.WriteLine("Введите номер автобуса)");
while(true)
{ 
   
    var number = Console.ReadLine();
    if (number.Length == 6)
    {
        for (int i = 0; i < number.Length; i++)
        {
            if (i >=1 && i<4)
            {
                if (!digits.Contains(number[i]))
                {
                    Console.WriteLine("bad digit");
                    break;
                }
            }
            else
            {
                if (!validSymbols.Contains(number[i]))
                {
                    Console.WriteLine("bad symbol");
                    break;
                }
            }
        }
    }
    else if (number.Length == 0)  
    {
        break;
    }
    else
    {
        Console.WriteLine("short number");
    }
}
```

# 2. Сжатие бинарных последовательностей

```
using System;
using System.IO;

class Program
{
    static void Main()
    {
        var alphabet = "abcdefghijklmnopqrstuvwxyz";
        while (true)
        {
            var output = "";
            var input = Console.ReadLine();
            var counter = 0;
            foreach (var c in input)
            {
                if (c == '0') counter++;
                else if (c == '1') output += alphabet[counter];
                else
                {
                    Console.WriteLine("Error");
                    return;
                }
            }
            Console.WriteLine(output);
        }
    }
}
```

# 3. Стрелочки

```
var strela1 = "<--<<";
var strela2 = ">>-->";
var input = Console.ReadLine();
var counter = 0;
int index = 0;
while (input.IndexOf(strela1, index) != -1)
{
    index = input.IndexOf(strela1, index);
    index += strela1.Length;
    counter++;
}
index = 0;
while (input.IndexOf(strela2, index) != -1)
{
    index = input.IndexOf(strela2, index);
    index += strela2.Length;
    counter++;
}

Console.WriteLine(counter);
```

# 4. Нумерочки

```
int a = 0, count = 0;
Console.Write("Введите секунды: ");
long seconds = long.Parse(Console.ReadLine());

while (seconds > 0)
{
    a += ((int)seconds % 10);
    seconds /= 10;
}
count++;
int b = a;
a = 0;

if (b > 10)
{
    while (b >= 10)
    {
        while (b > 0)
        {
            a += ((int)b % 10);
            b /= 10;
        }

        count++;
        b = a;
        a = 0;
    }
    
    Console.Write($"число 1: {b}, число2: {count}");
}
else
{
    Console.Write($"число 1: {a}, число 2: {count}");
}
```

# 5. Перестановка

```
class Program
{
    static void Main()
    {
        Console.WriteLine("Введите первое слово:");
        string word1 = Console.ReadLine();

        Console.WriteLine("Введите второе слово:");
        string word2 = Console.ReadLine();

        if (AreAnagrams(word1, word2))
        {
            Console.WriteLine("Можно");
        }
        else
        {
            Console.WriteLine("Нельзя");
        }
    }

    static bool AreAnagrams(string str1, string str2)
    { 
        str1 = str1.ToLower().Replace(" ", "");
        str2 = str2.ToLower().Replace(" ", "");
        return string.Concat(str1.OrderBy(c => c)) == string.Concat(str2.OrderBy(c => c));
    }
}
```